### Hierarchy

- unknown
  - RelayXmrTxReply

## Index

### Constructors

- constructor

### Methods

- getHash
- serializeBinary
- setHash
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new RelayXmrTxReply(): RelayXmrTxReply

- Inherited from jspb.Message.constructor

  #### Returns RelayXmrTxReply

## Methods

### getHash

- getHash(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3298

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3301

  #### Returns Uint8Array

### setHash

- setHash(value: string): RelayXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3299

  #### Parameters

  - ##### value: string

  #### Returns RelayXmrTxReply

### toObject

- toObject(includeInstance?: boolean): RelayXmrTxReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3302

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns RelayXmrTxReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): RelayXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3305

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RelayXmrTxReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RelayXmrTxReply, reader: BinaryReader): RelayXmrTxReply

- - Defined in src/protobuf/grpc_pb.d.ts:3306

  #### Parameters

  - ##### message: RelayXmrTxReply

  - ##### reader: BinaryReader

  #### Returns RelayXmrTxReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: RelayXmrTxReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3304

  #### Parameters

  - ##### message: RelayXmrTxReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: RelayXmrTxReply ): RelayXmrTxReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3303

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RelayXmrTxReply

  #### Returns RelayXmrTxReply . AsObject

Generated using TypeDoc